> ## Documentation Index
> Fetch the complete documentation index at: https://docs.craveup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a stable order-first submission outcome



## OpenAPI

````yaml /generated/storefront.openapi.json get /locations/{locationId}/carts/{cartId}/submissions/{attemptId}
openapi: 3.0.3
info:
  title: Crave Storefront API
  version: 2.0.0
  description: >-
    Direct public Storefront API. Anonymous catalog reads require no API key.
    Protected resources use purpose-limited cart, checkout, receipt, or customer
    credentials.
  contact:
    name: Crave Support
    email: hello@craveup.com
servers:
  - url: https://api.craveup.com/api/v1/storefront
    description: Production Storefront API
  - url: https://sandbox-api.craveup.com/api/v1/storefront
    description: Sandbox Storefront API
security: []
tags:
  - name: Customer Auth
  - name: Catering
  - name: Loyalty
  - name: Merchants
  - name: Locations
  - name: Ordering Sessions
  - name: Menus
  - name: Products
  - name: Carts
  - name: Analytics
  - name: Checkout
  - name: Cart Items
  - name: Discounts
  - name: Customers
  - name: Orders
paths:
  /locations/{locationId}/carts/{cartId}/submissions/{attemptId}:
    get:
      tags:
        - Checkout
      summary: Get a stable order-first submission outcome
      operationId: storefrontGetOrderSubmissionOutcome
      parameters:
        - name: locationId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
        - name: cartId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
        - name: attemptId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: Current stable order-first submission outcome.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderSubmissionOutcome'
        '400':
          description: The request is invalid.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '401':
          description: Authentication or capability authorization is required.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '403':
          description: The authenticated principal does not own this resource.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '404':
          description: The requested resource was not found.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '429':
          description: The request was rate limited.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '500':
          description: An unexpected error occurred.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '503':
          description: A required dependency is temporarily unavailable.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
      security:
        - StorefrontCartCapability: []
        - StorefrontCustomerAuth: []
components:
  schemas:
    OrderSubmissionOutcome:
      oneOf:
        - type: object
          properties:
            catering:
              default: null
              nullable: true
              type: object
              properties:
                eventId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                locationId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                returnPath:
                  type: string
                  pattern: ^\/c\/[0-9a-f-]{36}\/[0-9a-f-]{36}$
                presentation:
                  $ref: '#/components/schemas/CateringPaymentPresentation'
              required:
                - eventId
                - locationId
                - returnPath
                - presentation
              additionalProperties: false
            attemptId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            collectionMode:
              type: string
              enum:
                - ONLINE
                - PAY_AT_STORE
            orderId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            settlementAdapter:
              type: string
              enum:
                - STRIPE
                - SQUARE
                - CLOVER
                - TOAST
            status:
              type: string
              enum:
                - CUSTOMER_ACTION_REQUIRED
            clientSecret:
              type: string
              minLength: 1
            connectedAccountId:
              type: string
              minLength: 1
              maxLength: 255
            mode:
              type: string
              enum:
                - test
                - live
            nextAction:
              type: string
              enum:
                - COLLECT_PAYMENT_METHOD
                - CONFIRM_PAYMENT
                - HANDLE_NEXT_ACTION
                - WAIT
                - NONE
          required:
            - attemptId
            - collectionMode
            - orderId
            - settlementAdapter
            - status
            - clientSecret
            - connectedAccountId
            - mode
            - nextAction
          additionalProperties: false
        - type: object
          properties:
            catering:
              default: null
              nullable: true
              type: object
              properties:
                eventId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                locationId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                returnPath:
                  type: string
                  pattern: ^\/c\/[0-9a-f-]{36}\/[0-9a-f-]{36}$
                presentation:
                  $ref: '#/components/schemas/CateringPaymentPresentation'
              required:
                - eventId
                - locationId
                - returnPath
                - presentation
              additionalProperties: false
            attemptId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            collectionMode:
              type: string
              enum:
                - ONLINE
                - PAY_AT_STORE
            orderId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            settlementAdapter:
              type: string
              enum:
                - STRIPE
                - SQUARE
                - CLOVER
                - TOAST
            status:
              type: string
              enum:
                - PROCESSING
          required:
            - attemptId
            - collectionMode
            - orderId
            - settlementAdapter
            - status
          additionalProperties: false
        - type: object
          properties:
            catering:
              default: null
              nullable: true
              type: object
              properties:
                eventId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                locationId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                returnPath:
                  type: string
                  pattern: ^\/c\/[0-9a-f-]{36}\/[0-9a-f-]{36}$
                presentation:
                  $ref: '#/components/schemas/CateringPaymentPresentation'
              required:
                - eventId
                - locationId
                - returnPath
                - presentation
              additionalProperties: false
            attemptId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            collectionMode:
              type: string
              enum:
                - ONLINE
                - PAY_AT_STORE
            orderId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            settlementAdapter:
              type: string
              enum:
                - STRIPE
                - SQUARE
                - CLOVER
                - TOAST
            status:
              type: string
              enum:
                - ACTION_REQUIRED
            safeErrorCode:
              type: string
              minLength: 1
              maxLength: 128
          required:
            - attemptId
            - collectionMode
            - orderId
            - settlementAdapter
            - status
            - safeErrorCode
          additionalProperties: false
        - type: object
          properties:
            catering:
              default: null
              nullable: true
              type: object
              properties:
                eventId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                locationId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                returnPath:
                  type: string
                  pattern: ^\/c\/[0-9a-f-]{36}\/[0-9a-f-]{36}$
                presentation:
                  $ref: '#/components/schemas/CateringPaymentPresentation'
              required:
                - eventId
                - locationId
                - returnPath
                - presentation
              additionalProperties: false
            attemptId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            collectionMode:
              type: string
              enum:
                - ONLINE
                - PAY_AT_STORE
            orderId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            settlementAdapter:
              type: string
              enum:
                - STRIPE
                - SQUARE
                - CLOVER
                - TOAST
            status:
              type: string
              enum:
                - ACCEPTED
            verification:
              nullable: true
              type: object
              properties:
                attemptId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                nextRefreshAt:
                  nullable: true
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                safeErrorCode:
                  nullable: true
                  type: string
                  minLength: 1
                  maxLength: 128
                state:
                  type: string
                  enum:
                    - PENDING
                    - WARNING
                    - ACTION_REQUIRED
                    - VERIFIED
                    - CONCLUSIVE_FAILURE
                    - CANCELED
                uiRefreshIntervalSeconds:
                  type: integer
                  minimum: 0
                  exclusiveMinimum: true
                  maximum: 9007199254740991
              required:
                - attemptId
                - nextRefreshAt
                - safeErrorCode
                - state
                - uiRefreshIntervalSeconds
              additionalProperties: false
          required:
            - attemptId
            - collectionMode
            - orderId
            - settlementAdapter
            - status
            - verification
          additionalProperties: false
        - type: object
          properties:
            catering:
              default: null
              nullable: true
              type: object
              properties:
                eventId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                locationId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                returnPath:
                  type: string
                  pattern: ^\/c\/[0-9a-f-]{36}\/[0-9a-f-]{36}$
                presentation:
                  $ref: '#/components/schemas/CateringPaymentPresentation'
              required:
                - eventId
                - locationId
                - returnPath
                - presentation
              additionalProperties: false
            attemptId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            collectionMode:
              type: string
              enum:
                - ONLINE
                - PAY_AT_STORE
            orderId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            settlementAdapter:
              type: string
              enum:
                - STRIPE
                - SQUARE
                - CLOVER
                - TOAST
            status:
              type: string
              enum:
                - PAID
          required:
            - attemptId
            - collectionMode
            - orderId
            - settlementAdapter
            - status
          additionalProperties: false
    CommerceErrorEnvelope:
      type: object
      properties:
        code:
          anyOf:
            - type: string
              enum:
                - VALIDATION_ERROR
                - UNAUTHORIZED
                - CUSTOMER_AUTH_CODE_REJECTED
                - FORBIDDEN
                - NOT_FOUND
                - RATE_LIMITED
                - CART_CONFLICT
                - REQUOTE_REQUIRED
                - RESOURCE_CONFLICT
                - CART_IMMUTABLE
                - IDEMPOTENCY_KEY_REQUIRED
                - IDEMPOTENCY_KEY_REUSED
                - IDEMPOTENCY_IN_PROGRESS
                - DEPENDENCY_UNAVAILABLE
                - INTERNAL_ERROR
            - type: string
              minLength: 1
        message:
          type: string
          minLength: 1
        requestId:
          type: string
          minLength: 8
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
        - requestId
      additionalProperties: false
    CateringPaymentPresentation:
      oneOf:
        - type: object
          properties:
            state:
              type: string
              enum:
                - ready
            reference:
              type: string
            restaurantName:
              type: string
            publicContact:
              type: object
              properties:
                phone:
                  nullable: true
                  type: string
                email:
                  nullable: true
                  type: string
              required:
                - phone
                - email
              additionalProperties: false
            quoteId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            quoteVersion:
              type: integer
              minimum: 0
              exclusiveMinimum: true
              maximum: 9007199254740991
            amendmentVersion:
              nullable: true
              type: integer
              minimum: 0
              exclusiveMinimum: true
              maximum: 9007199254740991
            eventSnapshot:
              type: object
              properties:
                eventDate:
                  type: string
                serviceTime:
                  type: string
                headcount:
                  type: object
                  properties:
                    guests:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    approximate:
                      type: boolean
                  required:
                    - guests
                    - approximate
                  additionalProperties: false
                serviceStyle:
                  type: string
                  enum:
                    - pickup
                    - drop_off
                    - drop_off_with_setup
                serviceAddress:
                  nullable: true
                  type: string
                eventStartsAt:
                  nullable: true
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                timeZone:
                  nullable: true
                  type: string
                  minLength: 1
                  maxLength: 100
              required:
                - eventDate
                - serviceTime
                - headcount
                - serviceStyle
                - serviceAddress
                - eventStartsAt
                - timeZone
              additionalProperties: false
            timezone:
              type: string
              minLength: 1
            currency:
              type: string
              pattern: ^[A-Z]{3}$
            lines:
              minItems: 1
              maxItems: 500
              type: array
              items:
                type: object
                properties:
                  lineId:
                    type: string
                    minLength: 1
                    maxLength: 255
                  kind:
                    type: string
                    enum:
                      - menu
                      - one_off
                  name:
                    type: string
                  quantity:
                    type: string
                    pattern: ^(?:0|[1-9]\d{0,4})(?:\.\d{1,6})?$
                  unit:
                    type: string
                    enum:
                      - person
                      - item
                      - dozen
                      - tray
                      - pack
                      - lb
                      - oz
                      - kg
                      - g
                      - gallon
                      - quart
                      - liter
                      - ml
                      - fl_oz
                  unitPrice:
                    type: string
                    pattern: ^-?\d+(?:\.\d+)?$
                  lineTotal:
                    type: string
                    pattern: ^-?\d+(?:\.\d+)?$
                  note:
                    nullable: true
                    type: string
                  choices:
                    maxItems: 50
                    type: array
                    items:
                      $ref: '#/components/schemas/CateringPresentationChoiceGroup'
                required:
                  - lineId
                  - kind
                  - name
                  - quantity
                  - unit
                  - unitPrice
                  - lineTotal
                  - note
                  - choices
                additionalProperties: false
            totals:
              type: object
              properties:
                subtotal:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                discount:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                taxTotal:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                serviceFeeTotal:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                total:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?$
              required:
                - subtotal
                - discount
                - taxTotal
                - serviceFeeTotal
                - total
              additionalProperties: false
            payment:
              type: object
              properties:
                paymentId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                kind:
                  type: string
                  enum:
                    - deposit
                    - balance
                    - full
                    - none
                amount:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                tax:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                serviceFee:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                total:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?$
                balanceAfterPaymentTotal:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?$
              required:
                - paymentId
                - kind
                - amount
                - tax
                - serviceFee
                - total
                - balanceAfterPaymentTotal
              additionalProperties: false
            financialSummary:
              oneOf:
                - type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - unavailable
                    reason:
                      type: string
                      enum:
                        - not_accepted
                        - settled_without_acceptance
                        - acceptance_unreadable
                        - due_date_unresolvable
                        - evidence_unavailable
                  required:
                    - state
                    - reason
                  additionalProperties: false
                - type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - known
                    currency:
                      type: string
                      pattern: ^[A-Z]{3}$
                    acceptedQuoteId:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    total:
                      type: string
                      pattern: ^\d+\.\d{2}$
                    paidTotal:
                      type: string
                      pattern: ^\d+\.\d{2}$
                    refundedTotal:
                      type: string
                      pattern: ^\d+\.\d{2}$
                    outstandingTotal:
                      type: string
                      pattern: ^\d+\.\d{2}$
                    balanceDueAt:
                      nullable: true
                      type: string
                      format: date-time
                      pattern: >-
                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                    paymentState:
                      type: string
                      enum:
                        - unpaid
                        - partially_paid
                        - paid
                        - processing
                        - review_required
                  required:
                    - state
                    - currency
                    - acceptedQuoteId
                    - total
                    - paidTotal
                    - refundedTotal
                    - outstandingTotal
                    - balanceDueAt
                    - paymentState
                  additionalProperties: false
            currentBooking:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - enquiry
                    - quoted
                    - confirmed
                    - locked
                    - completed
                    - cancelled
                    - declined
                    - expired
                revision:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                change:
                  type: string
                  enum:
                    - none
                    - changed
                    - cancelled
                    - unavailable
              required:
                - status
                - revision
                - change
              additionalProperties: false
          required:
            - state
            - reference
            - restaurantName
            - publicContact
            - quoteId
            - quoteVersion
            - amendmentVersion
            - eventSnapshot
            - timezone
            - currency
            - lines
            - totals
            - payment
            - financialSummary
            - currentBooking
          additionalProperties: false
        - type: object
          properties:
            state:
              type: string
              enum:
                - unavailable
            reason:
              type: string
              enum:
                - booking_unavailable
                - menu_evidence_unavailable
                - restaurant_unavailable
                - presentation_unavailable
          required:
            - state
            - reason
          additionalProperties: false
    CateringPresentationChoiceGroup:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        options:
          minItems: 1
          maxItems: 200
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                minLength: 1
              quantity:
                type: integer
                minimum: 0
                exclusiveMinimum: true
                maximum: 99
              children:
                maxItems: 50
                type: array
                items:
                  $ref: '#/components/schemas/CateringPresentationChoiceGroup'
            required:
              - name
              - quantity
              - children
            additionalProperties: false
      required:
        - name
        - options
      additionalProperties: false
  securitySchemes:
    StorefrontCartCapability:
      type: apiKey
      in: header
      name: X-Cart-Token
      description: Purpose-limited capability returned for a guest cart.
    StorefrontCustomerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque
      description: >-
        Merchant-bound opaque customer access capability returned by fresh code
        verification or refresh.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.